## org.apache.lucene.util.automaton
Class AutomatonTestUtil.RandomAcceptedStrings

    java.lang.Object
      org.apache.lucene.util.automaton.AutomatonTestUtil.RandomAcceptedStrings

Enclosing class:
  AutomatonTestUtil

    public static class AutomatonTestUtil.RandomAcceptedStrings

extends Object

Lets you retrieve random strings accepted by an Automaton.

Once created, call `getRandomAcceptedString(Random)` to get a new string (in UTF-32 codepoints).

Constructor Summary
`AutomatonTestUtil.RandomAcceptedStrings(Automaton a)`

Method Summary
`int[]` `getRandomAcceptedString(Random r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomatonTestUtil.RandomAcceptedStrings

    public AutomatonTestUtil.RandomAcceptedStrings(Automaton a)

Method Detail

### getRandomAcceptedString

    public int[] getRandomAcceptedString(Random r)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.